import { Repository } from "typeorm";
import { Cms } from "../../common/cms/cms.entity";
export declare class CmsService {
    private readonly cmsRepository;
    constructor(cmsRepository: Repository<Cms>);
    findActive(lang: string): Promise<Cms[]>;
    findOne(id: number, lang: string): Promise<Cms>;
    private translateCms;
}
